<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class QuotInvoice extends Model
{
    use SoftDeletes;

    protected $table='quot_invoice';
    public function quotation(){
        return $this->belongsTo(Quotation::class,'quotation_id')->withTrashed();
    }
    public function reviewed_by_user(){
        return $this->belongsTo(User::class,'reviewed_by_user_id');
    }
    public function payment_mode(){
        return $this->belongsTo(PaymentMode::class,'payment_mode_id')->withTrashed();
    }
}
